com.trendmicro.ds.platform.rest.object.util

## Class HostStatusSummaryElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.HostStatusSummaryElement

-     public class HostStatusSummaryElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostStatusSummaryElement()`
    `HostStatusSummaryElement(int criticalHosts, int lockedHosts, int onlineHosts, int unmanageHosts, int warningHosts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCriticalHosts()` Gets the criticalHosts value for this HostStatusSummaryElement.
    `int` | `getLockedHosts()` Gets the lockedHosts value for this HostStatusSummaryElement.
    `int` | `getOnlineHosts()` Gets the onlineHosts value for this HostStatusSummaryElement.
    `int` | `getUnmanageHosts()` Gets the unmanageHosts value for this HostStatusSummaryElement.
    `int` | `getWarningHosts()` Gets the warningHosts value for this HostStatusSummaryElement.
    `void` | `setCriticalHosts(int criticalHosts)` Sets the criticalHosts value for this HostStatusSummaryElement.
    `void` | `setLockedHosts(int lockedHosts)` Sets the lockedHosts value for this HostStatusSummaryElement.
    `void` | `setOnlineHosts(int onlineHosts)` Sets the onlineHosts value for this HostStatusSummaryElement.
    `void` | `setUnmanageHosts(int unmanageHosts)` Sets the unmanageHosts value for this HostStatusSummaryElement.
    `void` | `setWarningHosts(int warningHosts)` Sets the warningHosts value for this HostStatusSummaryElement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostStatusSummaryElement

          public HostStatusSummaryElement()

    - #### HostStatusSummaryElement

          public HostStatusSummaryElement(int criticalHosts,
                                          int lockedHosts,
                                          int onlineHosts,
                                          int unmanageHosts,
                                          int warningHosts)

  - ### Method Detail

    - #### getCriticalHosts

          public int getCriticalHosts()

      Gets the criticalHosts value for this HostStatusSummaryElement.
      Returns:
        criticalHosts

    - #### setCriticalHosts

          public void setCriticalHosts(int criticalHosts)

      Sets the criticalHosts value for this HostStatusSummaryElement.
      Parameters:
        `criticalHosts` -

    - #### getLockedHosts

          public int getLockedHosts()

      Gets the lockedHosts value for this HostStatusSummaryElement.
      Returns:
        lockedHosts

    - #### setLockedHosts

          public void setLockedHosts(int lockedHosts)

      Sets the lockedHosts value for this HostStatusSummaryElement.
      Parameters:
        `lockedHosts` -

    - #### getOnlineHosts

          public int getOnlineHosts()

      Gets the onlineHosts value for this HostStatusSummaryElement.
      Returns:
        onlineHosts

    - #### setOnlineHosts

          public void setOnlineHosts(int onlineHosts)

      Sets the onlineHosts value for this HostStatusSummaryElement.
      Parameters:
        `onlineHosts` -

    - #### getUnmanageHosts

          public int getUnmanageHosts()

      Gets the unmanageHosts value for this HostStatusSummaryElement.
      Returns:
        unmanageHosts

    - #### setUnmanageHosts

          public void setUnmanageHosts(int unmanageHosts)

      Sets the unmanageHosts value for this HostStatusSummaryElement.
      Parameters:
        `unmanageHosts` -

    - #### getWarningHosts

          public int getWarningHosts()

      Gets the warningHosts value for this HostStatusSummaryElement.
      Returns:
        warningHosts

    - #### setWarningHosts

          public void setWarningHosts(int warningHosts)

      Sets the warningHosts value for this HostStatusSummaryElement.
      Parameters:
        `warningHosts` -

Copyright © 2015 Trend Micro Inc. All Rights Reserved.